package com.xingxi.business.UserRefuseTag.mapper;

import com.xingxi.business.UserRefuseTag.domain.UserRefuseTag;

import java.util.List;

/**
 * 用户避雷标签Mapper接口
 *
 * @author xingxi
 * @date 2025-03-06
 */
public interface UserRefuseTagMapper {
    /**
     * 查询用户避雷标签
     *
     * @param userRefuseId 用户避雷标签主键
     * @return 用户避雷标签
     */
    UserRefuseTag selectUserRefuseTagByUserRefuseId(Long userRefuseId);

    /**
     * 查询用户避雷标签列表
     *
     * @param userRefuseTag 用户避雷标签
     * @return 用户避雷标签集合
     */
    List<UserRefuseTag> selectUserRefuseTagList(UserRefuseTag userRefuseTag);

    /**
     * 新增用户避雷标签
     *
     * @param userRefuseTag 用户避雷标签
     * @return 结果
     */
    int insertUserRefuseTag(UserRefuseTag userRefuseTag);

    /**
     * 批量新增用户避雷标签
     *
     * @param userRefuseTagList 用户避雷标签
     * @return 结果
     */
    int batchInsertUserRefuseTag(List<UserRefuseTag> userRefuseTagList);

    /**
     * 修改用户避雷标签
     *
     * @param userRefuseTag 用户避雷标签
     * @return 结果
     */
    int updateUserRefuseTag(UserRefuseTag userRefuseTag);

    /**
     * 删除用户避雷标签
     *
     * @param userRefuseId 用户避雷标签主键
     * @return 结果
     */
    int deleteUserRefuseTagByUserRefuseId(Long userRefuseId);

    /**
     * 批量删除用户避雷标签
     *
     * @param userRefuseIds 需要删除的数据主键集合
     * @return 结果
     */
    int deleteUserRefuseTagByUserRefuseIds(String[] userRefuseIds);


    /**
     * 逻辑删除用户避雷标签
     *
     * @param userRefuseId 用户避雷标签主键
     * @return 结果
     */
    int logicDeleteUserRefuseTagByUserRefuseId(Long userRefuseId);

    /**
     * 逻辑批量删除用户避雷标签
     *
     * @param userRefuseIds 需要删除的数据主键集合
     * @return 结果
     */
    int logicDeleteUserRefuseTagByUserRefuseIds(String[] userRefuseIds);

    /**
     * 逻辑批量删除用户避雷标签
     *
     * @param userRefuseTag 用户避雷标签
     * @return 结果
     */
    int logicDeleteUserRefuseTagByCondition(UserRefuseTag userRefuseTag);

}
